Subject: [PATCH] ARM: OMAP2: Delete unnecessary checks before three function calls

From: [email-masked] (Tony Lindgren)
Date: Wed, 15 Jul 2015 23:23:06 -0700

* Paul Walmsley <[email-masked]> [150715 22:58]:
> Hello Markus
> 
> On Tue, 30 Jun 2015, SF Markus Elfring wrote:
> 
> > From: Markus Elfring <[email-masked]>
> > Date: Tue, 30 Jun 2015 14:00:16 +0200
> > 
> > The functions clk_disable(), of_node_put() and omap_device_delete() test
> > whether their argument is NULL and then return immediately.
> > Thus the test around the call is not needed.
> > 
> > This issue was detected by using the Coccinelle software.
> > 
> > Signed-off-by: Markus Elfring <[email-masked]>
> 
> Thanks for the patch.  I have to say, I am a bit leery about applying the 
> omap_device.c and omap_hwmod.c changes, since the called functions -- 
> omap_device_delete() and clk_disable() -- don't explicitly document that 
> NULLs are allowed to be passed in.  So there's no explicit contract that 
> callers can rely upon, to (at least in theory) prevent those internal NULL 
> pointer checks from being removed.
> 
> So I would suggest that those two functions' kerneldoc be patched first to 
> explicitly state that passing in a NULL pointer is allowed.  Then I would 
> feel a bit more comfortable applying the omap_device.c and omap_hwmod.c 
> changes.
> 
> The kerneldoc for of_node_put() does explicitly allow NULLs to be passed 
> in.  So I'll apply that change now for v4.3, touching up the commit 
> message accordingly.

I have them applied from a later thread already, but will drop both in
my branch as I have not pushed them out yet.

Regards,

Tony